Skip to main content

Search users and groups eligible for console administrator access

GET 

/api/v1/ConsoleAccess/Search/Candidate

Returns a page of the users, applications, groups and collections that can be given administrator access to the console, with optional filtering by type and text. Entries that already have access are not listed. Use it to find entries to pass to the add-multiple call.

Permission required: Administrator role.

Values for filterEntityType: 0 = ManagedAccount, 1 = ManagedAccountGroup, 2 = Application, 3 = Collection, 4 = Local.

Values for entityType: 0 = ManagedAccount, 1 = ManagedAccountGroup, 2 = Application, 3 = Collection, 4 = Local.

Request​

Responses​

An object with a data array of candidate entries and recordsTotal, the total number of matching entries.